## org.apache.mahout.classifier.sgd
Class SGDHelper

    java.lang.Object
      org.apache.mahout.classifier.sgd.SGDHelper

    public final class SGDHelper

extends Object

Method Summary
`static void` `dissect(int leakType, Dictionary dictionary, AdaptiveLogisticRegression learningAlgorithm, Iterable<File> files, com.google.common.collect.Multiset<String> overallCounts)`
`static List<File>` `permute(Iterable<File> files, Random rand)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### dissect

    public static void dissect(int leakType,
                               Dictionary dictionary,
                               AdaptiveLogisticRegression learningAlgorithm,
                               Iterable<File> files,
                               com.google.common.collect.Multiset<String> overallCounts)
                        throws IOException

  Throws:
    `IOException`

### permute

    public static List<File> permute(Iterable<File> files,
                                     Random rand)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.